AOO 4.1.6 not working on Arch, how can i build?

Issues with installing under all Linux Distributions

AOO 4.1.6 not working on Arch, how can i build?

Postby Grosskopfgames » Mon Apr 08, 2019 2:03 pm

Hey, i need AOO for my Job because they managed to create a Form i can't open in Libreoffice but claim it opens in Openoffice, i run Arch up to date with all the latest packages, the AUR version of openoffice fails to start with
Fatal exception: Signal 6
at libuno_sal.so.3, since it's being installed from a binary i tried to build it from source wich fails with this:

Code: Select all   Expand viewCollapse view
gerrit@Marvin  ~/openoffice/aoo-4.1.6/main/instsetoo_native  build --all                 
build -- version: 275224


=============
Building module solenv
=============

Entering /home/gerrit/openoffice/aoo-4.1.6/main/solenv

dmake:  Error executing 'mkout.pl': Exec format error
dmake:  Error code -1, while making '/home/gerrit/openoffice/aoo-4.1.6/main/solenv/unxlngx6.pro/inc/myworld.mk'

1 module(s):
   solenv
need(s) to be rebuilt

Reason(s):

ERROR: error 65280 occurred while making /home/gerrit/openoffice/aoo-4.1.6/main/solenv

there is no solenv/unxlngx6.pro/inc folder in my system, when i create it and an empty myworld.mk inside it skips that error but that sounds like not the right thing to do, right? is there anything i need to know when following this: https://wiki.openoffice.org/wiki/Documentation/Building_Guide_AOO?
OpenOffice 4.1.6 on Arch linux
Grosskopfgames
 
Posts: 1
Joined: Mon Apr 08, 2019 1:47 pm

Re: AOO 4.1.6 not working on Arch, how can i build?

Postby Hagar Delest » Tue Apr 09, 2019 8:10 am

Hi and welcome to the forum!

If no reply, you should ask the dev mailing list. You may have better luck.
AOO 4.1.6 on Xubuntu 18.10 and 4.1.5 on Windows 7 (with winPenPack port).
User avatar
Hagar Delest
Moderator
 
Posts: 28431
Joined: Sun Oct 07, 2007 9:07 pm
Location: France

Re: AOO 4.1.6 not working on Arch, how can i build?

Postby Lupp » Tue Apr 09, 2019 9:30 am

It's rather uncommon that LibO does not support something working in AOO.
However, regarding the content of your question, I assume you are a well informed user.
Therefore: Isn't it a simpler way for you to patch the form a tad and make it run under LibO this way?
On Windows 10: LibreOffice 6.2 and older versions, PortableOpenOffice 4.1.5 and older, StarOffice 5.2
---
Lupp from München
User avatar
Lupp
Volunteer
 
Posts: 2369
Joined: Sat May 31, 2014 7:05 pm
Location: München, Germany


Return to Linux

Who is online

Users browsing this forum: No registered users and 1 guest